Debian DSA-4923-1 : webkit2gtk - security update

critical Nessus Plugin ID 150095

Synopsis

The remote Debian host is missing a security-related update.

Description

The following vulnerabilities have been discovered in the webkit2gtk web engine :

- CVE-2021-1788 Francisco Alonso discovered that processing maliciously crafted web content may lead to arbitrary code execution.

- CVE-2021-1844 Clement Lecigne and Alison Huffman discovered that processing maliciously crafted web content may lead to arbitrary code execution.

- CVE-2021-1871 An anonymous researcher discovered that a remote attacker may be able to cause arbitrary code execution.

Solution

Upgrade the webkit2gtk packages.

For the stable distribution (buster), these problems have been fixed in version 2.32.1-1~deb10u1.

See Also

https://security-tracker.debian.org/tracker/CVE-2021-1788

https://security-tracker.debian.org/tracker/CVE-2021-1844

https://security-tracker.debian.org/tracker/CVE-2021-1871

https://security-tracker.debian.org/tracker/source-package/webkit2gtk

https://packages.debian.org/source/buster/webkit2gtk

https://www.debian.org/security/2021/dsa-4923

Plugin Details

Severity: Critical

ID: 150095

File Name: debian_DSA-4923.nasl

Version: 1.5

Type: local

Agent: unix

Published: 6/1/2021

Updated: 1/18/2022

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: High

Score: 8.4

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2021-1871

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 9.4

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:webkit2gtk, cpe:/o:debian:debian_linux:10.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 5/30/2021

Vulnerability Publication Date: 4/2/2021

CISA Known Exploited Dates: 11/17/2021

Reference Information

CVE: CVE-2021-1788, CVE-2021-1844, CVE-2021-1871

DSA: 4923